Bug 716594

Summary: Russian dictionary misses Ё-spelling
Product: [Fedora] Fedora Reporter: Hidden <mistresssilvara>
Component: hunspell-ruAssignee: Caolan McNamara <caolanm>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 15CC: caolanm
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: All   
Whiteboard:
Fixed In Version: hunspell-ru-0.99g5-1.fc15 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2011-07-31 04:04:18 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Hidden 2011-06-25 09:12:58 UTC
Description of problem: The packaged dictionary flags words with letter ё (jo) as misspellings.

Version-Release number of selected component (if applicable): 1:0.99f7-5.fc15

How reproducible: Always

Steps to Reproduce:
Spellcheck the file contating such a word, like "ещё"
  
Actual results: There's an offering to replace it with "еще".

Expected results: The word is considered correct.

Additional info: The upstream archive contains a separate dictionary apparently related to this problem.

Comment 1 Caolan McNamara 2011-06-27 08:56:35 UTC
One of the problems here is that there are a pile of Russian dictionaries floating around, and various variants, and all documentation is in Russian which I can't read :-),so a native speaker is needed to recommend the best dictionary to use.

What should we use ? Which is the best one currently available ?

Comment 2 Caolan McNamara 2011-07-01 08:15:02 UTC
Let me guess, the yo variant

Comment 3 Fedora Update System 2011-07-01 08:51:11 UTC
hunspell-ru-0.99f7-6.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/hunspell-ru-0.99f7-6.fc15

Comment 4 Fedora Update System 2011-07-01 18:53:40 UTC
Package hunspell-ru-0.99f7-6.fc15:
* should fix your issue,
* was pushed to the Fedora 15 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing hunspell-ru-0.99f7-6.fc15'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/hunspell-ru-0.99f7-6.fc15
then log in and leave karma (feedback).

Comment 5 Caolan McNamara 2011-07-04 13:04:50 UTC
feedback suggests that this is a no-go as the other variant makes non yo spelling incorrect, annoying another bunch of people.

Is there a combined dictionary, or a solution that makes everyone happy ?

Comment 6 Hidden 2011-07-11 08:51:04 UTC
I have wonderful idea: take normal dictionary, jo-dictionary, unmunch them and merge. Then lift affix file from aspell-ru and munch them with it, then convert it to UTF-8.

Or wouldn't it be easier take aspell dictionary entirely? It has 'ye', 'yo' and 'yeyo' variants.

Comment 7 Caolan McNamara 2011-07-11 09:10:48 UTC
I could probably munge together the two ye and yo dicts myself, but the real question is if there is a current, up-to-date and maintained combined ye+yo hunspell or firefox or libreoffice of openoffice.org dictionary already available ?

Comment 8 Hidden 2011-07-11 17:20:01 UTC
Firefox one works correctly.

Comment 9 Fedora Update System 2011-07-12 09:43:45 UTC
hunspell-ru-0.99g5-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/hunspell-ru-0.99g5-1.fc15

Comment 10 Caolan McNamara 2011-07-12 09:45:31 UTC
So, lets try https://addons.mozilla.org/en-US/firefox/addon/russian-spellchecking-dic-3703/ which is a more recent to->hunspell conversion of 0.99g5

Comment 11 Fedora Update System 2011-07-31 04:04:13 UTC
hunspell-ru-0.99g5-1.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.